Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util.fs
Class JBossFileManager

    java.lang.Object
      com.opensymphony.xwork2.util.fs.DefaultFileManager
          org.apache.struts2.util.fs.JBossFileManager

All Implemented Interfaces:
  FileManager

    public class JBossFileManager

extends DefaultFileManager

FileManager implementation used with JBoss AS

Field Summary

Fields inherited from class com.opensymphony.xwork2.util.fs.DefaultFileManager
`files, reloadingConfigs`

Constructor Summary
`JBossFileManager()`

Method Summary
`Collection<? extends URL>` | `getAllPhysicalUrls(URL url)`
`protected URL` | `getJBossPhysicalUrl(URL url)` Try to determine physical file location.
`protected boolean` | `isJBossUrl(URL fileUrl)` Check if given URL is pointing to JBoss 5 VFS resource
`void` | `monitorFile(URL fileUrl)`
`URL` | `normalizeToFileProtocol(URL url)`
`boolean` | `support()`

Methods inherited from class com.opensymphony.xwork2.util.fs.DefaultFileManager
`fileNeedsReloading, fileNeedsReloading, internal, isJarURL, loadFile, setReloadingConfigs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossFileManager

    public JBossFileManager()

Method Detail

### support

    public boolean support()

  Specified by:
    `support` in interface `FileManager`
  Overrides:
    `support` in class `DefaultFileManager`

### monitorFile

    public void monitorFile(URL fileUrl)

  Specified by:
    `monitorFile` in interface `FileManager`
  Overrides:
    `monitorFile` in class `DefaultFileManager`

### normalizeToFileProtocol

    public URL normalizeToFileProtocol(URL url)

  Specified by:
    `normalizeToFileProtocol` in interface `FileManager`
  Overrides:
    `normalizeToFileProtocol` in class `DefaultFileManager`

### getAllPhysicalUrls

    public Collection<? extends URL> getAllPhysicalUrls(URL url)
                                                 throws IOException

  Specified by:
    `getAllPhysicalUrls` in interface `FileManager`
  Overrides:
    `getAllPhysicalUrls` in class `DefaultFileManager`
  Throws:
    `IOException`

### isJBossUrl

    protected boolean isJBossUrl(URL fileUrl)

  Check if given URL is pointing to JBoss 5 VFS resource

  Parameters:
    `fileUrl` -
  Returns:

### getJBossPhysicalUrl

    protected URL getJBossPhysicalUrl(URL url)
                               throws IOException

  Try to determine physical file location.

  Parameters:
    `url` - JBoss VFS URL
  Returns:
    URL pointing to physical file or original URL
  Throws:
    `IOException` - If conversion fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.